#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: dragon
Summary: A simple video player for Plasma
Epoch: 3
Version: 17.12.2
Release: %mkrel %{rel}
Group: Video/Players
License: GPLv2
URL: http://www.kde.org/applications/multimedia/dragonplayer/
Source0: http://download.kde.org/stable/%{version}/src/%{name}-%{version}.tar.xz
Conflicts: kdemultimedia4-core < 3:4.5.71
Conflicts: kmix < 3:4.8.97
Conflicts: dragonplayer < 3:4.8.95

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui) >= 5.5.0
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires: kconfig-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kcoreaddons-devel
BuildRequires: kiconthemes-devel
BuildRequires: ki18n-devel
BuildRequires: kio-devel
BuildRequires: knotifications-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: kwindowsystem-devel
BuildRequires: kparts-devel
BuildRequires: solid-devel
BuildRequires: kdoctools-devel
BuildRequires: kxmlgui-devel
BuildRequires: kjobwidgets-devel
BuildRequires: kdbusaddons-devel
BuildRequires: pkgconfig(phonon4qt5) >= 4.6.60

BuildRequires:  cmake(KF5Crash)

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

Recommends: dragon-handbook
Obsoletes: dragonplayer < %{epoch}:%{version}
Provides: dragonplayer = %{epoch}:%{version}-%{release}

# conflicts with mga5 packages
Conflicts:      kde-l10n-ar < 17.04.3-1
Conflicts:      kde-l10n-bg < 17.04.3-1
Conflicts:      kde-l10n-bs < 17.04.3-1
Conflicts:      kde-l10n-ca < 17.04.3-1
Conflicts:      kde-l10n-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-cs < 17.04.3-1
Conflicts:      kde-l10n-da < 17.04.3-1
Conflicts:      kde-l10n-de < 17.04.3-1
Conflicts:      kde-l10n-el < 17.04.3-1
Conflicts:      kde-l10n-en_GB < 17.04.3-1
Conflicts:      kde-l10n-en_US < 17.04.3-1
Conflicts:      kde-l10n-es < 17.04.3-1
Conflicts:      kde-l10n-et < 17.04.3-1
Conflicts:      kde-l10n-eu < 17.04.3-1
Conflicts:      kde-l10n-fa < 17.04.3-1
Conflicts:      kde-l10n-fi < 17.04.3-1
Conflicts:      kde-l10n-fr < 17.04.3-1
Conflicts:      kde-l10n-ga < 17.04.3-1
Conflicts:      kde-l10n-gl < 17.04.3-1
Conflicts:      kde-l10n-he < 17.04.3-1
Conflicts:      kde-l10n-hi < 17.04.3-1
Conflicts:      kde-l10n-hr < 17.04.3-1
Conflicts:      kde-l10n-hu < 17.04.3-1
Conflicts:      kde-l10n-ia < 17.04.3-1
Conflicts:      kde-l10n-id < 17.04.3-1
Conflicts:      kde-l10n-is < 17.04.3-1
Conflicts:      kde-l10n-it < 17.04.3-1
Conflicts:      kde-l10n-ja < 17.04.3-1
Conflicts:      kde-l10n-kk < 17.04.3-1
Conflicts:      kde-l10n-km < 17.04.3-1
Conflicts:      kde-l10n-ko < 17.04.3-1
Conflicts:      kde-l10n-lt < 17.04.3-1
Conflicts:      kde-l10n-lv < 17.04.3-1
Conflicts:      kde-l10n-mr < 17.04.3-1
Conflicts:      kde-l10n-nb < 17.04.3-1
Conflicts:      kde-l10n-nds < 17.04.3-1
Conflicts:      kde-l10n-nl < 17.04.3-1
Conflicts:      kde-l10n-nn < 17.04.3-1
Conflicts:      kde-l10n-pa < 17.04.3-1
Conflicts:      kde-l10n-pl < 17.04.3-1
Conflicts:      kde-l10n-pt < 17.04.3-1
Conflicts:      kde-l10n-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-ro < 17.04.3-1
Conflicts:      kde-l10n-ru < 17.04.3-1
Conflicts:      kde-l10n-sk < 17.04.3-1
Conflicts:      kde-l10n-sl < 17.04.3-1
Conflicts:      kde-l10n-sr < 17.04.3-1
Conflicts:      kde-l10n-sv < 17.04.3-1
Conflicts:      kde-l10n-tr < 17.04.3-1
Conflicts:      kde-l10n-ug < 17.04.3-1
Conflicts:      kde-l10n-uk < 17.04.3-1
Conflicts:      kde-l10n-wa < 17.04.3-1
Conflicts:      kde-l10n-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-zh_TW < 17.04.3-1

%description
Dragon Player is a multimedia player where the focus is on simplicity,
instead of features. Dragon Player does one thing, and only one thing,
which is playing multimedia files. It's simple interface is designed not
to get in your way and instead empower you to simply play multimedia
files.

%files  -f %name.lang
%_kf5_bindir/dragon
%_sysconfdir/xdg/dragonplayerrc
%_kf5_iconsdir/*/*/*/*
%_kf5_mandir/man1/*
%_kf5_datadir/applications/*.desktop
%_qt5_plugindir/dragonpart.so
%_kf5_services/ServiceMenus/dragonplayer_play_dvd.desktop
%_kf5_services/dragonplayer_part.desktop
%_kf5_datadir/kxmlgui5/dragonplayer
%_kf5_datadir/solid/actions/dragonplayer-openaudiocd.desktop
%_kf5_datadir/solid/actions/dragonplayer-opendvd.desktop
%_kf5_datadir/appdata/org.kde.dragonplayer.appdata.xml
%_mandir/*/man?/dragon.1.*

#------------------------------------------------------------------------------

%package handbook
Summary: dragon handbook
Conflicts: dragonplayer < 3:4.7.1
Conflicts: dragonplayer-handbook < 3:4.8.95
Requires: %{name} >= %{epoch}:%{version}-%{release}
Obsoletes: dragonplayer-handbook < %{epoch}:%{version}
Provides: dragonplayer-handbook = %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description handbook
This package provides dragon handbook

%files handbook
%_kf5_docdir/HTML/*/dragonplayer

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
%makeinstall_std -C build
%find_lang %name --all-name


%changelog
* Sat Feb 17 2018 neoclust <neoclust> 3:17.12.2-1.mga6
+ Revision: 1202205
- New version 17.12.2
- New version 17.12.1

* Wed Mar 08 2017 neoclust <neoclust> 3:16.12.3-1.mga6
+ Revision: 1090001
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 3:16.12.0-1.mga6
+ Revision: 1076736
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 3:16.11.90-1.mga6
+ Revision: 1071952
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 3:16.08.3-1.mga6
+ Revision: 1067269
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 3:16.08.2-1.mga6
+ Revision: 1061328
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 3:16.08.1-1.mga6
+ Revision: 1050595
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 3:16.08.0-1.mga6
+ Revision: 1047223
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 3:16.04.3-1.mga6
+ Revision: 1039990
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 3:16.04.1-1.mga6
+ Revision: 1012480
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 3:16.04.0-1.mga6
+ Revision: 1004270
- New version 16.04.0

* Sun Apr 03 2016 neoclust <neoclust> 3:16.03.80-1.mga6
+ Revision: 997844
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 3:15.12.3-1.mga6
+ Revision: 991123
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 3:15.12.2-1.mga6
+ Revision: 987390
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 3:15.12.1-1.mga6
+ Revision: 922561
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 3:15.12.0-1.mga6
+ Revision: 911898
- New version 15.12.0

* Thu Nov 26 2015 neoclust <neoclust> 3:15.11.80-1.mga6
+ Revision: 906185
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 3:15.08.3-1.mga6
+ Revision: 901096
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 3:15.08.2-1.mga6
+ Revision: 890569
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 3:15.08.1-1.mga6
+ Revision: 880389
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 3:15.08.0-1.mga6
+ Revision: 865907
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 3:15.07.90-2.mga6
+ Revision: 863697
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 3:15.07.90-1.mga6
+ Revision: 861720
- New version 15.07.90

* Fri Jul 31 2015 neoclust <neoclust> 3:15.07.80-1.mga6
+ Revision: 859314
- New version 15.07.80

* Wed Dec 03 2014 lmenut <lmenut> 3:4.14.3-1.mga5
+ Revision: 800540
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 3:4.14.2-1.mga5
+ Revision: 787622
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3:4.14.1-2.mga5
+ Revision: 741248
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 3:4.14.1-1.mga5
+ Revision: 734488
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 3:4.14.0-2.mga5
+ Revision: 678829
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 3:4.14.0-1.mga5
+ Revision: 667426
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 3:4.13.97-1.mga5
+ Revision: 662937
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 3:4.13.95-1.mga5
+ Revision: 656615
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 3:4.13.90-1.mga5
+ Revision: 653801
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 3:4.13.80-1.mga5
+ Revision: 651906
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 3:4.13.2-1.mga5
+ Revision: 636675
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 3:4.13.1-1.mga5
+ Revision: 625442
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 3:4.13.0-1.mga5
+ Revision: 615515
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 3:4.12.97-1.mga5
+ Revision: 609335
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 3:4.12.95-1.mga5
+ Revision: 606776
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Thu Mar 13 2014 neoclust <neoclust> 3:4.12.90-1.mga5
+ Revision: 603275
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 3:4.12.80-1.mga5
+ Revision: 600614
- New version 4.12.80
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 3:4.12.2-1.mga5
+ Revision: 590408
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 3:4.11.5-1.mga5
+ Revision: 580710
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 3:4.11.4-1.mga4
+ Revision: 554935
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 3:4.11.3-1.mga4
+ Revision: 551189
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 3:4.11.2-2.mga4
+ Revision: 539965
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 3:4.11.2-1.mga4
+ Revision: 490704
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 3:4.11.1-2.mga4
+ Revision: 488612
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 3:4.11.1-1.mga4
+ Revision: 476799
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 3:4.11.0-1.mga4
+ Revision: 465152
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 3:4.10.97-1.mga4
+ Revision: 458849
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 3:4.10.95-1.mga4
+ Revision: 455240
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 3:4.10.90-1.mga4
+ Revision: 447908
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 3:4.10.4-1.mga4
+ Revision: 435259
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 3:4.10.3-1.mga4
+ Revision: 428376
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 3:4.10.2-1.mga3
+ Revision: 407188
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 3:4.10.1-1.mga3
+ Revision: 401834
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 3:4.10.0-1.mga3
+ Revision: 394365
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Fri Jan 11 2013 umeabot <umeabot> 3:4.9.97-2.mga3
+ Revision: 349082
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 lmenut <lmenut> 3:4.9.97-1.mga3
+ Revision: 340023
- Add missing conflicts

  + mikala <mikala>
    - Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 3:4.9.95-1.mga3
+ Revision: 334519
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

  + lmenut <lmenut>
    - fix suggests dragon-handbook

* Wed Dec 05 2012 mikala <mikala> 3:4.9.90-1.mga3
+ Revision: 326724
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 3:4.9.80-1.mga3
+ Revision: 320281
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 3:4.9.3-1.mga3
+ Revision: 316166
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 3:4.9.2-1.mga3
+ Revision: 301937
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 3:4.9.1-1.mga3
+ Revision: 289726
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 3:4.9.0-1.mga3
+ Revision: 277075
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 3:4.8.97-1.mga3
+ Revision: 269647
- new version 4.8.97

* Wed Jun 27 2012 fwang <fwang> 3:4.8.95-1.mga3
+ Revision: 264342
- imported package dragon

